<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>footnote documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">footnote documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>DetailPage</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/pages/detail/detail.ts</code>
</p>

    <p class="comment">
        <h3>Description</h3>
    </p>
    <p class="comment">
        <p>Detail page</p>
<p>Page which shows the image, the title, the description and the notes</p>

    </p>

    <p class="comment">
        <h3>Extends</h3>
    </p>
    <p class="comment">
            <code><a href="../classes/_DetailPage.html" target="_self" >_DetailPage</a></code>
    </p>



<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>page-detail</code></td>
            </tr>




            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>detail.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#http">http</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#modalCtrl">modalCtrl</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#navCtrl">navCtrl</a>
                            </li>
                            <li>
                                <a href="#object">object</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#params">params</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#platform">platform</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#rest">rest</a>
                            </li>
                            <li>
                                <a href="#usergroupid">usergroupid</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#viewCtrl">viewCtrl</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#addNote">addNote</a>
                            </li>
                            <li>
                                <a href="#delete">delete</a>
                            </li>
                            <li>
                                <a href="#dismiss">dismiss</a>
                            </li>
                            <li>
                                <a href="#done">done</a>
                            </li>
                            <li>
                                <a href="#edit">edit</a>
                            </li>
                            <li>
                                <a href="#getFile">getFile</a>
                            </li>
                            <li>
                                <a href="#getImage">getImage</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(navCtrl: NavController, platform: Platform, params: NavParams, viewCtrl: ViewController, rest: <a href="../injectables/RestProvider.html">RestProvider</a>, http: <a href="../injectables/HttpProvider.html">HttpProvider</a>, modalCtrl: ModalController)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="22" class="link-to-prism">src/pages/detail/detail.ts:22</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Constructor</p>
</div>
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>navCtrl</td>
                                                  
                                                        <td>
                                                                    <code>NavController</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>platform</td>
                                                  
                                                        <td>
                                                                    <code>Platform</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>params</td>
                                                  
                                                        <td>
                                                                    <code>NavParams</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>viewCtrl</td>
                                                  
                                                        <td>
                                                                    <code>ViewController</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>rest</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/RestProvider.html" target="_self" >RestProvider</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>http</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/HttpProvider.html" target="_self" >HttpProvider</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>modalCtrl</td>
                                                  
                                                        <td>
                                                                    <code>ModalController</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="addNote"></a>
                        <span class="name">
                            <b>
                            addNote
                            </b>
                            <a href="#addNote"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>addNote(i: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank">number</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="104" class="link-to-prism">src/pages/detail/detail.ts:104</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Open the add Note</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>i</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="delete"></a>
                        <span class="name">
                            <b>
                            delete
                            </b>
                            <a href="#delete"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>delete(i: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank">number</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="90" class="link-to-prism">src/pages/detail/detail.ts:90</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Delete Note</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>i</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="dismiss"></a>
                        <span class="name">
                            <b>
                            dismiss
                            </b>
                            <a href="#dismiss"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>dismiss()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="51" class="link-to-prism">src/pages/detail/detail.ts:51</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>close this window</p>
</div>

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="done"></a>
                        <span class="name">
                            <b>
                            done
                            </b>
                            <a href="#done"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>done(i: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank">number</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="69" class="link-to-prism">src/pages/detail/detail.ts:69</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Save the editet things to the server</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>i</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="edit"></a>
                        <span class="name">
                            <b>
                            edit
                            </b>
                            <a href="#edit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>edit(i: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank">number</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="61" class="link-to-prism">src/pages/detail/detail.ts:61</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>make this row editable</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>i</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getFile"></a>
                        <span class="name">
                            <b>
                            getFile
                            </b>
                            <a href="#getFile"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>getFile(filename)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="82" class="link-to-prism">src/pages/detail/detail.ts:82</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Returns the Filepath</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>filename</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getImage"></a>
                        <span class="name">
                            <b>
                            getImage
                            </b>
                            <a href="#getImage"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>getImage(image)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="116" class="link-to-prism">src/pages/detail/detail.ts:116</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Returns the imagepath</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>image</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="http"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            http</b>
                            <a href="#http"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../injectables/HttpProvider.html" target="_self" >HttpProvider</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="40" class="link-to-prism">src/pages/detail/detail.ts:40</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="modalCtrl"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            modalCtrl</b>
                            <a href="#modalCtrl"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>ModalController</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="41" class="link-to-prism">src/pages/detail/detail.ts:41</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="navCtrl"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            navCtrl</b>
                            <a href="#navCtrl"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>NavController</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="35" class="link-to-prism">src/pages/detail/detail.ts:35</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="object"></a>
                        <span class="name">
                            <b>
                            object</b>
                            <a href="#object"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="20" class="link-to-prism">src/pages/detail/detail.ts:20</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                        <div class="io-description"><p>Object which should be shown </p>
</div>
                    </td>
                </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="params"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            params</b>
                            <a href="#params"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>NavParams</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="37" class="link-to-prism">src/pages/detail/detail.ts:37</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="platform"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            platform</b>
                            <a href="#platform"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>Platform</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="36" class="link-to-prism">src/pages/detail/detail.ts:36</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="rest"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            rest</b>
                            <a href="#rest"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../injectables/RestProvider.html" target="_self" >RestProvider</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="39" class="link-to-prism">src/pages/detail/detail.ts:39</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="usergroupid"></a>
                        <span class="name">
                            <b>
                            usergroupid</b>
                            <a href="#usergroupid"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="22" class="link-to-prism">src/pages/detail/detail.ts:22</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                        <div class="io-description"><p>ID of the usergroup </p>
</div>
                    </td>
                </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="viewCtrl"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            viewCtrl</b>
                            <a href="#viewCtrl"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>ViewController</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="38" class="link-to-prism">src/pages/detail/detail.ts:38</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component } from &#x27;@angular/core&#x27;;
import { NavController, Platform, NavParams, ViewController, IonicPage, ModalController } from &#x27;ionic-angular&#x27;;
import { RestProvider } from &#x27;../../providers/rest/rest&#x27;;
import { AddInfoPage } from &#x27;../add-info/add-info&#x27;;
import { _DetailPage } from &#x27;../_DetailPage&#x27;;
import { HttpProvider } from &#x27;../../providers/http/http&#x27;;

/**
 * Detail page
 * 
 * Page which shows the image, the title, the description and the notes
 */
@IonicPage()
@Component({
  selector: &#x27;page-detail&#x27;,
  templateUrl: &#x27;detail.html&#x27;,
})
export class DetailPage extends _DetailPage {
  /** Object which should be shown */
  object;
  /** ID of the usergroup */
  usergroupid: any;

  /**
   * Constructor
   * @param navCtrl 
   * @param platform 
   * @param params 
   * @param viewCtrl 
   * @param rest 
   * @param http 
   * @param modalCtrl 
   */
  constructor(
    public navCtrl: NavController,
    public platform: Platform,
    public params: NavParams,
    public viewCtrl: ViewController,
    public rest: RestProvider,
    public http: HttpProvider,
    public modalCtrl: ModalController
  ) {
    super();
    this.object &#x3D; this.params.get(&#x27;object&#x27;);
    this.usergroupid &#x3D; this.params.get(&#x27;id&#x27;);
  }

  /**
   * close this window
   */
  dismiss() {
    if (this.platform.is(&quot;android&quot;) || this.platform.is(&quot;ios&quot;)) {
      this.navCtrl.pop();
    }
  }

  /**
   * make this row editable
   * @param i 
   */
  edit(i: number) {
    this.object.notes[i].isEditable &#x3D; true;
  }

  /**
   * Save the editet things to the server
   * @param i 
   */
  done(i: number) {
    this.object.notes[i].isEditable &#x3D; false;
    var info &#x3D; this.object.notes[i];
    delete info.isEditable;
    this.rest.editInfo(info).subscribe(data &#x3D;&gt; {
      console.log(&quot;Info updated!&quot;);
    });
  }

  /**
   * Returns the Filepath
   * @param filename 
   */
  getFile(filename) {
    return this.http.url + &quot;FileHandlerServlet?filename&#x3D;&quot; + filename;
  }

  /**
   * Delete Note
   * @param i 
   */
  delete(i: number) {
    this.object.notes[i].isEditable &#x3D; false;
    var info &#x3D; this.object.notes[i];
    delete info.isEditable;
    this.object.notes.splice(i, 1);
    this.rest.deleteInfo(this.object).subscribe(data &#x3D;&gt; {
      console.log(&quot;gelöscht&quot;)
    });
  }

  /**
   * Open the add Note
   * @param i 
   */
  addNote(i: number) {
    let modal &#x3D; this.modalCtrl.create(AddInfoPage, { info: this.object, id: this.usergroupid });
    modal.onDidDismiss(data &#x3D;&gt; {
    })
    modal.present();
    console.log(&quot;add Note&quot;);
  }

  /**
   * Returns the imagepath
   * @param image 
   */
  getImage(image) {
    return this.http.url + &quot;FileHandlerServlet?filename&#x3D;&quot; + image;
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;!--
  Detail page. Notes can be added, edited and deleded.
--&gt;
&lt;ion-header&gt;
  &lt;ion-toolbar&gt;
    &lt;ion-buttons start&gt;
      &lt;button ion-button ion-button (click)&#x3D;&quot;dismiss()&quot;&gt;
        &lt;span ion-text color&#x3D;&quot;primary&quot; showWhen&#x3D;&quot;ios&quot;&gt;Cancel&lt;/span&gt;
        &lt;ion-icon name&#x3D;&quot;md-close&quot; showWhen&#x3D;&quot;android&quot;&gt;&lt;/ion-icon&gt;
      &lt;/button&gt;
    &lt;/ion-buttons&gt;
    &lt;ion-title&gt;
      Notizen {{object.name}}
    &lt;/ion-title&gt;
  &lt;/ion-toolbar&gt;
&lt;/ion-header&gt;
&lt;ion-content&gt;
  &lt;ion-list&gt;
    &lt;ion-item&gt;
      &lt;ion-thumbnail slot&#x3D;&quot;start&quot;&gt;
        &lt;img-loader [src]&#x3D;&quot;getImage(object.image)&quot; useImg&gt;&lt;/img-loader&gt;
      &lt;/ion-thumbnail&gt;
    &lt;/ion-item&gt;
    &lt;ion-item&gt;
      &lt;b&gt;Beschreibung:&lt;/b&gt;
      &lt;p [innerHTML]&#x3D;&quot;object.description&quot;&gt;&lt;/p&gt;
    &lt;/ion-item&gt;
    &lt;ion-item text-wrap&gt;
      &lt;b&gt;Notizen:&lt;/b&gt;
      &lt;div *ngFor&#x3D;&quot;let in of object.notes; let i &#x3D; index&quot;&gt;
        &lt;div *ngIf&#x3D;&#x27;!in.isEditable&#x27; [innerHTML]&#x3D;&quot;in.content&quot;&gt;&lt;/div&gt;
        &lt;div *ngIf&#x3D;&#x27;in.isEditable&#x27;&gt;
          &lt;quill-editor [(ngModel)]&#x3D;&quot;in.content&quot;&gt;&lt;/quill-editor&gt;
        &lt;/div&gt;
        &lt;div *ngFor&#x3D;&quot;let file of in.files.split(&#x27;;&#x27;); let i &#x3D; index&quot;&gt;
          &lt;a [attr.href]&#x3D;&quot;getFile(file)&quot;&gt;{{file}}&lt;/a&gt;
        &lt;/div&gt;
        &lt;button ion-button round icon-only (click)&#x3D;&quot;delete(i)&quot;&gt;
          &lt;ion-icon md-name&#x3D;&quot;delete&quot;&gt;&lt;/ion-icon&gt;
        &lt;/button&gt;
        &lt;button ion-button round icon-only *ngIf&#x3D;&#x27;!in.isEditable&#x27; (click)&#x3D;&quot;edit(i)&quot;&gt;
          &lt;ion-icon md-name&#x3D;&quot;edit&quot;&gt;&lt;/ion-icon&gt;
        &lt;/button&gt;
        &lt;button ion-button round icon-only *ngIf&#x3D;&#x27;in.isEditable&#x27; (click)&#x3D;&quot;done(i)&quot;&gt;
          &lt;ion-icon md-name&#x3D;&quot;done&quot;&gt;&lt;/ion-icon&gt;
        &lt;/button&gt;
      &lt;/div&gt;
    &lt;/ion-item&gt;
    &lt;ion-item&gt;
      &lt;button ion-button round color&#x3D;&quot;primary&quot; (click)&#x3D;&quot;addNote(i)&quot;&gt;
        &lt;ion-icon md-name&#x3D;&quot;note_add&quot;&gt;&lt;/ion-icon&gt;Notiz hinzufügen
      &lt;/button&gt;
    &lt;/ion-item&gt;
  &lt;/ion-list&gt;
&lt;/ion-content&gt;
</code></pre>
    </div>


    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><!--  Detail page. Notes can be added, edited and deleded.--><ion-header>  <ion-toolbar>    <ion-buttons start>      <button ion-button ion-button (click)="dismiss()">        <span ion-text color="primary" showWhen="ios">Cancel</span>        <ion-icon name="md-close" showWhen="android"></ion-icon>      </button>    </ion-buttons>    <ion-title>      Notizen {{object.name}}    </ion-title>  </ion-toolbar></ion-header><ion-content>  <ion-list>    <ion-item>      <ion-thumbnail slot="start">        <img-loader [src]="getImage(object.image)" useImg></img-loader>      </ion-thumbnail>    </ion-item>    <ion-item>      <b>Beschreibung:</b>      <p [innerHTML]="object.description"></p>    </ion-item>    <ion-item text-wrap>      <b>Notizen:</b>      <div *ngFor="let in of object.notes; let i = index">        <div *ngIf=\'!in.isEditable\' [innerHTML]="in.content"></div>        <div *ngIf=\'in.isEditable\'>          <quill-editor [(ngModel)]="in.content"></quill-editor>        </div>        <div *ngFor="let file of in.files.split(\';\'); let i = index">          <a [attr.href]="getFile(file)">{{file}}</a>        </div>        <button ion-button round icon-only (click)="delete(i)">          <ion-icon md-name="delete"></ion-icon>        </button>        <button ion-button round icon-only *ngIf=\'!in.isEditable\' (click)="edit(i)">          <ion-icon md-name="edit"></ion-icon>        </button>        <button ion-button round icon-only *ngIf=\'in.isEditable\' (click)="done(i)">          <ion-icon md-name="done"></ion-icon>        </button>      </div>    </ion-item>    <ion-item>      <button ion-button round color="primary" (click)="addNote(i)">        <ion-icon md-name="note_add"></ion-icon>Notiz hinzufügen      </button>    </ion-item>  </ion-list></ion-content></div>'
    var COMPONENTS = [{'name': 'AddInfoPage', 'selector': 'page-add-info'},{'name': 'AddObjectPage', 'selector': 'page-add-object'},{'name': 'ARViewPage', 'selector': 'page-ar-view'},{'name': 'CloudRecognitionPage', 'selector': 'page-cloud-recognition'},{'name': 'DetailPage', 'selector': 'page-detail'},{'name': 'DialogPage', 'selector': 'page-dialog'},{'name': 'FeedPage', 'selector': 'page-feed'},{'name': 'HomePage', 'selector': 'page-home'},{'name': 'LoginPage', 'selector': 'page-login'},{'name': 'MasterPage', 'selector': 'page-master'},{'name': 'MyApp', 'selector': ''},{'name': 'PlaceholderPage', 'selector': 'page-placeholder'},{'name': 'RegisterPage', 'selector': 'page-register'},{'name': 'TabsPage', 'selector': ''},{'name': 'UserGroupPage', 'selector': 'page-user-group'},{'name': 'UserGroupSplitPage', 'selector': 'page-user-group-split'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'DetailPage'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'DetailPage.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
